;; All lines should end in a newline
(setq require-final-newline t)

;; disable tabs
(setq tab-width 4)
(setq-default indent-tabs-mode nil)

;; Cleanup whitespace before saves.
(add-hook 'before-save-hook '(lambda ()
                               (if af-cleanup-whitespace (whitespace-cleanup))))

;; Disable that startup screen
(setq inhibit-startup-message t)

;; Basically everything I do is in version control, stop saving backup files
(setq make-backup-files nil)

;; Set some pretty colors that are gentler on my eyes
(setq default-frame-alist
      '((width . 80)
        (cursor-color . "white")
        (cursor-type . box)
        (foreground-color . "white")
        (background-color . "black")
        )
      )
; always highlight matching paren
(show-paren-mode 1)

;; Automatically revert unedited files that change on the underlying
;; system.
(global-auto-revert-mode)

;; I like dots in my nose output
(setq nose-use-verbose nil)

;; no toolbar
(tool-bar-mode nil)

;; Command is meta in OS X.
(setq ns-command-modifier (quote meta))

;; Don't popup new frames for opened files
(setq ns-pop-up-frames nil)
